Subject: Master Agent mib instrumentation

From: gopal krishna <[email-masked]>
Date: Sat, 15 Jan 2000 02:41:45 -0800 (PST)

hello,

i am planning to build a multilingual(v1,v2c,v3) snmp
master agent 
and subagent library with agentx as the protocol
between master and subagents.

A) I would like to know which are mibs that have to be
     instrumented in the master agent alone.(for
example
    agentx-mib,rfc 1907,SNMP-FRAMEWORK-mib ).
  
 ***********************************************  
section 4.1 of draft-ietf-agentx-rfc-update-03.txt 
  says master agent Provides instrumentation for the  
       MIB objects defined in RFC 1907 , and for any
MIB         objects relevant to any administrative
framework it         supports.
 *************************************************  
  if this is a implementation specific issue, what    
  would be the typical implementation if my master    
 agent should support snmp v1, v2c & v3.

B)also,is there any guidelines on how the master agent
should dispatch when it recieves varbind list in which
  some of the snmp OIDs have instrumentation provided
by master agent itself   & for other OIDs  subagents 
provide instrumentation.

regards
gopal
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

---

From: Mike Daniele <[email-masked]>
Date: Mon, 17 Jan 2000 09:35:35 -0500

Hello,

>     agentx-mib,rfc 1907,SNMP-FRAMEWORK-mib ).

I think that for  SNMPv1/2c,  1907 and the AgentX MIB would be
expected.

I'll let implementors of SNMPv3 comment on that.

> by master agent itself   & for other OIDs  subagents

That's really a question on how you want to design  your implementation,
not something that should be covered in the RFC.

For our implementation on Tru64 UNIX, there is no special handling
within master agent dispatching.  All sessions/registered regions are handled identically.

Hope this helps,
Mike